<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sticky Positioning Demo</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial, Helvetica;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .container {
            width: 500px;
            height: 300px;
            background: lightskyblue;
            overflow-y: auto;
            position: absolute;
            z-index: 3;
        }

        h1 {
            position: sticky;
            top: 0px;
            background: greenyellow;
        }

        .absolute-box {
            position: absolute;
            top: 20px;
            left: 450px;
            width: 100px;
            height: 30px;
            background: hotpink;
            z-index: 5;
        }
    </style>
</head>

<body>
    <div class="absolute-box">
        Absolute Box
    </div>
    <div class="container">
        <h1>Headline 1</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 2</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 3</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 4</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 5</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 6</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 7</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
        <h1>Headline 8</h1>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Consequatur eum enim necessitatibus voluptate
            accusantium cum, ad explicabo nulla voluptas doloremque eligendi quos mollitia asperiores? Officiis
            necessitatibus nostrum repudiandae. Quisquam, quibusdam!
        </p>
    </div>
</body>

</html>